package com.friday.tooldriver.dto.infodator.response;

import com.friday.operation.api.tooldriver.dto.rpa.GroupDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GroupResponseDto implements Serializable {
    private Integer id;
    private String name;
    private String description;
    private String colorExpress;
    private String creatorId;
    private String updatorId;
    private String createTime;
    private String updateTime;
    private Boolean deleted;
    private Integer version;

    public GroupDto createInfodatorGroupDto(){
        return GroupDto.builder()
                .key(String.valueOf(this.getId()))
                .name(this.getName())
                .description(this.getDescription())
                .build();
    }
}
